This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473580 - RADEON:RS690:X1200:KMS EDID Invalid, resolution only 800x600
RADEON:RS690:X1200:KMS EDID Invalid, resolution only 800x600
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 09:49 EST by Jan Martinek
Modified: 2009-11-13 03:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 10:19:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (46.71 KB, text/plain)
2008-11-29 09:49 EST, Jan Martinek
no flags Details
Xorg.0.log (290.32 KB, text/plain)
2008-11-29 09:50 EST, Jan Martinek
no flags Details
Corrupted background in X after resolution change. (55.27 KB, image/png)
2008-12-02 13:53 EST, Jan Martinek
no flags Details
Xorg log (xorg-x11-drv-ati-6.13.0-0.4.20090908git651fe5a47.fc12.x86_64) (67.87 KB, text/plain)
2009-09-13 06:06 EDT, Jan Martinek
no flags Details
dmesg of 2.6.30.5-43.fc11.x86_64 (38.76 KB, text/plain)
2009-09-13 06:07 EDT, Jan Martinek
no flags Details
dmesg output (57.56 KB, application/octet-stream)
2009-11-13 03:42 EST, Jan Martinek
no flags Details

  None (edit)
Description Jan Martinek 2008-11-29 09:49:12 EST
Created attachment 325087 [details]
dmesg

Description of problem:
Resolution is only 800x600 even though my LCD monitor is capable of 1280x1024. Xrandr shows this:

$ xrandr 
Screen 0: minimum 320 x 200, current 800 x 600, maximum 1400 x 1400
VGA-0 disconnected (normal left inverted right x axis y axis)
HDMI-0 connected 800x600+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   800x600        60.3* 
   640x480        59.9  
DVI-0 connected 800x600+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0 +   75.0     60.0  
   1400x1050      60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.1     75.0     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3*    56.2  
   640x480        72.8     75.0     72.8     75.0     66.7     60.0     59.9  
   720x400        70.1  
   0x0             0.0  

Attempt to switch to higher resolution results in

$ xrandr -s 1280x1024
Size 1280x1024 not found in available modes. 

dmesg shows many "EDID invalid" lines (see attachment).

I do not use any xorg.conf.

Version-Release number of selected component (if applicable):
kernel-2.6.27.7-130.fc10.x86_64
xorg-x11-drv-ati-6.9.0-59.fc10.x86_64
xorg-x11-server-common-1.5.3-5.fc10.x86_64

How reproducible:
Always. Here is my appropriate line in grub.conf:
kernel /boot/vmlinuz-2.6.27.7-130.fc10.x86_64 ro root=LABEL=/

Steps to Reproduce:
1. Boot and let X to start.
  
Actual results:
During boot, only small portion of monitor is used (apparently 800x600 rectangle). When X starts, the picture is scaled to use whole LCD panel area, but resolution is 800x600.

Expected results:
My monitor has native resolution 1280x1024 and it should be used.

Additional info:
With "nomodeset" kernel parameter, the resolution in X is set correctly.
Comment 1 Jan Martinek 2008-11-29 09:50:35 EST
Created attachment 325088 [details]
Xorg.0.log
Comment 2 Jan Martinek 2008-11-29 10:12:09 EST
Here is the output of xrandr if "nomodeset" parameter is used:

Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 3320 x 1400
VGA-0 disconnected (normal left inverted right x axis y axis)
HDMI-0 disconnected (normal left inverted right x axis y axis)
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0     60.0* 
   1400x1050      60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.0     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     75.0     66.7     59.9  
   720x400        70.1  

And I forgot to mention that I have RS690 X1250 GPU.
Comment 3 Jan Martinek 2008-12-02 13:52:20 EST
I found a workaround. The native resolution can be set by first entering

xrandr --output HDMI-0 --off

and then

xrandr -s 1280x1024

works correctly. Only the background gets corrupted and shows some leftovers from console (see screenshot). No big deal for me, it disappears after being rewritten by something else.
Comment 4 Jan Martinek 2008-12-02 13:53:43 EST
Created attachment 325410 [details]
Corrupted background in X after resolution change.
Comment 5 Jan Martinek 2008-12-04 22:05:39 EST
I have just tried kernel-2.6.28-0.106.rc6.git4.fc11.x86_64 and it works correctly for me! :-)
Resolution in X is 1280x1024 just after boot.
Thanks for fixing the bug.
Comment 6 Jan Martinek 2008-12-13 03:47:42 EST
Unfortunately, I was wrong. In the kernel-2.6.28-0.106.rc6.git4.fc11.x86_64 there was probably KMS disabled by default so booting without parameters had the same effect as "nomodeset". It is the same in
kernel-2.6.28-0.113.rc7.git5.fc11.x86_64
but next version,
kernel-2.6.28-0.114.rc7.git5.fc11.x86_64
has KMS enabled and my X server fails to start at all. The reason is "no screens found". I will report this in another thread.
Comment 7 Jan Martinek 2009-09-04 09:40:11 EDT
Now I tried
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
and
2.6.29.5-191.fc11.x86_64
(with KMS active)
and the problem is still there, the detected resolution is 800x600 instead of 1280x1024 and I get "EDID invalid" errors in dmesg.
BTW, the workaround now works without corrupting the background.
Comment 8 Jan Martinek 2009-09-13 06:05:32 EDT
I tested 
xorg-x11-drv-ati-6.13.0-0.4.20090908git651fe5a47.fc12.x86_64
and
2.6.30.5-43.fc11.x86_64
and the resolution is correct after boot, great :-)
But there are still the "EDID invalid" errors in dmesg and xrandr gives this incorrect output:

Screen 0: minimum 640 x 400, current 1280 x 1024, maximum 1280 x 1024
default connected 1280x1024+0+0 0mm x 0mm
   1280x1024       0.0* 
   1152x864        0.0  
   1024x768        0.0  
   800x600         0.0  
   640x480         0.0  
   720x400         0.0  

As you can see, the refresh frequencies are zero instead of some reasonable value. Moreover, it is impossible to rotate the display.

But resume after suspend now works flawlessly! And no more black rectagles in firefox instead of images! And gtkperf is fast!
So many improvements, thank you all :-)
I only miss the display rotation.
Comment 9 Jan Martinek 2009-09-13 06:06:45 EDT
Created attachment 360838 [details]
Xorg log (xorg-x11-drv-ati-6.13.0-0.4.20090908git651fe5a47.fc12.x86_64)
Comment 10 Jan Martinek 2009-09-13 06:07:47 EDT
Created attachment 360839 [details]
dmesg of 2.6.30.5-43.fc11.x86_64
Comment 11 Vedran Miletić 2009-10-08 06:31:27 EDT
Updating version per comment #9.
Comment 12 Matěj Cepl 2009-11-05 12:12:34 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 13 Jérôme Glisse 2009-11-06 08:08:47 EST
Jan please update to last rawhide stuff and confirm that you don't have any issue anymore thanks.
Comment 14 Jérôme Glisse 2009-11-12 10:19:24 EST
Ok i am closing this bug Jan reopen if you still have issue with Fedora 12.
Comment 15 Jan Martinek 2009-11-13 03:40:28 EST
Hello,

the problem is gone, thanks for fixing. After boot, the resolution is correct and display rotation also sets the mode correctly. The only remaining minor issue are the warning messages in dmesg like

[drm:edid_is_valid] *ERROR* Raw EDID:

but they do not bother me.
I just have kernel-2.6.31.5-127.fc12.x86_64 and I include the dmesg output.
Comment 16 Jan Martinek 2009-11-13 03:42:03 EST
Created attachment 369379 [details]
dmesg output

Note You need to log in before you can comment on or make changes to this bug.